Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1372345 - Review Request: python-piexif - Pure Python library to simplify exif manipulations with python
Summary: Review Request: python-piexif - Pure Python library to simplify exif manipula...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1353169 1365723
TreeView+ depends on / blocked
 
Reported: 2016-09-01 13:18 UTC by José Matos
Modified: 2017-02-07 00:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 00:22:05 UTC
ignatenko: fedora-review+


Attachments (Terms of Use)

Description José Matos 2016-09-01 13:18:44 UTC
Spec URL: https://jamatos.fedorapeople.org/python-piexif.spec
SRPM URL: https://jamatos.fedorapeople.org/python-piexif-1.0.5-1.fc25.src.rpm
Description:
Very simple Python library to simplify exif manipulations that does
not depend on other libraries.

There are only just five functions:

    load(filename)                 - Get exif data as dict.
    dump(exif_dict)                - Get exif as bytes to save with JPEG.
    insert(exif_bytes, filename)   - Insert exif into JPEG.
    remove(filename)               - Remove exif from JPEG.
    transplant(filename, filename) - Transplant exif from JPEG to JPEG.

Fedora Account System Username: jamatos

Comment 1 Igor Gnatenko 2016-09-01 14:43:39 UTC
I will review it today/tomorrow.

Initial comments:

> BuildRequires:  python-setuptools
BuildRequires:  python2-setuptools

> %{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}/

> %{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python2_sitelib}/%{pypi_name}-*.egg-info/
or
%{python2_sitelib}/%{pypi_name}-%{version}-py%{python2_version}.egg-info/
(note trailing slash)

.. same for python3

* I think it has missing Requires: pythonX-pillow
* I would not put tests out of tree, as if something changes on github you will not notice.
* I would just build from git tag (and write comment that this commit is actually version X.Y.Z) - https://github.com/hMatoba/Piexif/issues/23
* Don't duplicate %description, define it just once
* Move BuildRequires under subpackages for better look&feel

Comment 2 José Matos 2016-09-01 15:24:27 UTC
(In reply to Igor Gnatenko from comment #1)
> I will review it today/tomorrow.

Thank you. :-)

> Initial comments:
> 
> > BuildRequires:  python-setuptools
> BuildRequires:  python2-setuptools

Right, I used pyp2rpm to generate the first version and this detail was lost in the revision. I will fix it in the next revision.

> > %{python2_sitelib}/%{pypi_name}
> %{python2_sitelib}/%{pypi_name}/

Why do we need the trailing slash?

IIRC in %files

mydir

is the same as

%dir mydir
mydir/*

I admit that my memory could be failing. :-)

> > %{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
> %{python2_sitelib}/%{pypi_name}-*.egg-info/
> or
> %{python2_sitelib}/%{pypi_name}-%{version}-py%{python2_version}.egg-info/
> (note trailing slash)
> 
> .. same for python3

I will change to the * version or else it will fail at python 3.10. :-)

> * I think it has missing Requires: pythonX-pillow

No it does not. I looked into the code, it mainly imports struct and io that are in the standard library.

It is supposed to work with pillow and thus the tests but it does not require it.

> * I would not put tests out of tree, as if something changes on github you
> will not notice.
> * I would just build from git tag (and write comment that this commit is
> actually version X.Y.Z) - https://github.com/hMatoba/Piexif/issues/23

I was expecting to have the nice upstream to release a new version soon. We can always hope.

> * Don't duplicate %description, define it just once

I saw a tip from you recently but I forgot it. How do you suggest to have a single description?

> * Move BuildRequires under subpackages for better look&feel

Fair request. :-)

Comment 3 Igor Gnatenko 2016-09-01 15:30:39 UTC
(In reply to José Matos from comment #2)
> (In reply to Igor Gnatenko from comment #1)
> > I will review it today/tomorrow.
> 
> Thank you. :-)
> 
> > Initial comments:
> > 
> > > BuildRequires:  python-setuptools
> > BuildRequires:  python2-setuptools
> 
> Right, I used pyp2rpm to generate the first version and this detail was lost
> in the revision. I will fix it in the next revision.
> 
> > > %{python2_sitelib}/%{pypi_name}
> > %{python2_sitelib}/%{pypi_name}/
> 
> Why do we need the trailing slash?
distutils creates file .egg-info, but setuptools creates directory .egg-info. As you have BR: setuptools it's better to be sure that it's used ;)
> 
> IIRC in %files
> 
> mydir
> 
> is the same as
> 
> %dir mydir
> mydir/*
> 
> I admit that my memory could be failing. :-)
> 
> > > %{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
> > %{python2_sitelib}/%{pypi_name}-*.egg-info/
> > or
> > %{python2_sitelib}/%{pypi_name}-%{version}-py%{python2_version}.egg-info/
> > (note trailing slash)
> > 
> > .. same for python3
> 
> I will change to the * version or else it will fail at python 3.10. :-)
No, it will not ;) it's not regex, it's glob. * takes any numbers of any characters.
> 
> > * I think it has missing Requires: pythonX-pillow
> 
> No it does not. I looked into the code, it mainly imports struct and io that
> are in the standard library.
> 
> It is supposed to work with pillow and thus the tests but it does not
> require it.
Ah, okay.
> 
> > * Don't duplicate %description, define it just once
> 
> I saw a tip from you recently but I forgot it. How do you suggest to have a
> single description?
%global _description \
foo\
bar.
%description %{_description}
%description -n python2-%{modname} %{_description}

Python 2 version.

Comment 4 José Matos 2016-09-06 16:18:41 UTC
Take 2. :-)

Now that upstream released a new version with the tests on.

Spec URL: https://jamatos.fedorapeople.org/python-piexif.spec
SRPM URL: https://jamatos.fedorapeople.org/python-piexif-1.0.7-1.fc25.src.rpm

Comment 5 Dmitry Tantsur 2016-11-12 18:15:36 UTC
Any updates, folks? Sorry for being annoying, but python-nikola is half-broken without this package in F24.

Comment 6 Igor Gnatenko 2016-11-16 08:06:01 UTC
LGTM, but couple of things:

* New release 1.0.8 is out, so during the import please update
* I would recommend to use GitHub archive instead of PyPI archives
* If you still use PyPI, consider using tar.gz instead of zip

Comment 7 Gwyn Ciesla 2017-01-19 19:30:44 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-piexif

Comment 8 Fedora Update System 2017-01-19 20:02:42 UTC
python-piexif-1.0.8-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f816b494a7

Comment 9 Fedora Update System 2017-01-19 20:02:50 UTC
python-piexif-1.0.8-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-39f0b59f50

Comment 10 Fedora Update System 2017-01-20 19:21:25 UTC
python-piexif-1.0.8-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f816b494a7

Comment 11 Fedora Update System 2017-01-20 19:56:10 UTC
python-piexif-1.0.8-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-39f0b59f50

Comment 12 Fedora Update System 2017-01-21 12:27:48 UTC
python-piexif-1.0.10-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f816b494a7

Comment 13 Fedora Update System 2017-01-21 12:27:59 UTC
python-piexif-1.0.10-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-39f0b59f50

Comment 14 Fedora Update System 2017-01-21 21:52:26 UTC
python-piexif-1.0.10-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f816b494a7

Comment 15 Fedora Update System 2017-01-21 22:25:03 UTC
python-piexif-1.0.10-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-39f0b59f50

Comment 16 Fedora Update System 2017-02-07 00:22:05 UTC
python-piexif-1.0.10-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-02-07 00:52:41 UTC
python-piexif-1.0.10-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.